Subject: Re: bug#72450: 29.1; Tramp Failed to Parse OS Name and Version for Windows 11

From: Michael Albinus <[email-masked]>
Date: Sun, 04 Aug 2024 12:37:57 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> Tramp calls 'uname -sr' for a reason. It checks, whether the remote
>> system has changed its kernel since the last visit, and in case of, it
>> invalidates all cached values.
>
> So Tramp expects to find 'uname' on a remote Windows system?  Does it
> mean that one cannot login to a remote Windows system where 'uname' is
> not available (it usually isn't)?

No. Tramp's implementation in tramp-sh.el, as used by the "ssh" method,
expects a Unixoid remote host, with a POSIX shell and several utilities
like 'uname'.

Accessing MS Windows systems is implemented by the "smb" method, using Samba.

Best regards, Michael.